package com.dhtmlx.connector;

import java.util.HashMap;

public class CommonDataItem extends DataItem{

	public CommonDataItem(HashMap<String, String> data, DataConfig config,
			int index) {
		super(data, config, index);
	}

	@Override
	public void to_xml_start(StringBuffer out) {
		out.append("<item>");
		xml_field(out, "id", get_id());
		for (int i=0; i<config.data.size(); i++){
			xml_field(out, config.data.get(i).name, get_value(config.data.get(i).name));
		}
	}
	
	public void xml_field(StringBuffer out, String name, String value){
		out.append("<");
		out.append(name);
		out.append("><![CDATA[");
		out.append(value);
		out.append("]]></");
		out.append(name);
		out.append(">");		
	}

}
